@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,600');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@font-face {
  src: url(../fonts/Gobold-Bold.ttf);
  font-family: impatiente;
}

:root {
  --bg_blue: #0C161F;
  --bg_black: #000000;
  --bg_beige: #F1E9C1;
  --bg_green: #7C9687;
  --clr_white: #CACACA;
  --clr_pink: #ED46B1;
  --clr_grey: #393C35;
  --clr_light_blue: #1A344B;
}

*, *::before, *::after {
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
	margin: 0;
  width: 100vw;
  min-height: 100vh;
	background: var(--bg_blue);
  color: var(--clr_white);
  font-family: 'Open Sans', sans-serif;;
  font-weight: 400;
}



/**************************  START NAV  **************************/
header {
  z-index: 999;
  position: relative;
  width: 100%;
  background: var(--bg_blue);
  text-align: center;
}

h1 {
  margin: 0;
  padding: 0.3em;
  color: var(--clr_white);
  text-transform: uppercase;
  font-family: impatiente;
}

.logo a {
  text-decoration: none;
  font-size: 2rem;
  font-weight: bold;
  color: inherit;
}

/***Burger***/
.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;
}

.nav-toggle:focus~.nav-toggle-label {
  outline: 3px solid rgba(lightblue, .75);
}

.nav-toggle-label {
  position: absolute;
  display: flex;
  align-items: center;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  position: relative;
  display: block;
  border-radius: 2px;
  width: 2em;
  height: 3px;
  background: var(--clr_white);
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

/*** end burger ***/
nav {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: var(--bg_blue);
  text-align: left;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-top: 1em;
  margin-bottom: 1.5em;
  margin-left: 1em;
}

nav a {
  color: var(--clr_white);
  font-size: 1.2rem;
  text-decoration: none;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

nav a:hover {
  color: var(--clr_white);
}

.nav-toggle:checked~nav {
  transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav ul.link-subs {
  padding-left: 1rem;
}

nav label {
  cursor: pointer;
  display: block;
  text-decoration: none;
  font-size: 1.2rem;
  padding: 0;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav label {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav #creations {
  display: none
}

nav #creations:checked+ul.link-subs li.has-subs {
  padding: 1rem 1rem;
  height: 3rem;
  color: var(--clr_white);
}

nav li.has-subs {
  overflow: hidden;
  height: 0;
  margin: 0;
  transition: all 0.25s ease-in-out;
}

@media screen and (min-width: 877px) {
  .nav-toggle-label {
    display: none;
  }

  header {
    display: grid;
    grid-template-columns: 0.08fr auto minmax(600px, 3fr) 0.08fr;
  }

  .logo {
    grid-column: 2 / 3;
  }

  nav {
    all: unset; /* this causes issues with Edge, since it's unsupported */
    /* the following lines are not from my video, but add Edge support */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* end Edge support stuff */
    grid-column: 3 / 4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
    height: 1.7em;
  }

  nav li {
    margin-top: 0;
    margin-left: 3vw;
    margin-bottom: 0;
    display: flex;
    align-items: center;
  }

  nav a {
    opacity: 1;
    position: relative;
    height: 2em;
    display: flex;
    align-items: center;
  }

  nav a::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .contact::before {
    content: '';
    transform: scale(1, 1);
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }

  nav .creations::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .creations:hover::before {
    transform: scale(1, 1);
  }

  nav label {
    opacity: 1;
    height: 2em;
    display: flex;
    align-items: center;
  }

  .creations {
    flex-direction: column;
    width: 125px;
    position: relative;
  }

  .link-subs {
    flex-direction: column;
  }

  nav #creations:checked+ul.link-subs li.has-subs {
    background-color: var(--bg_blue);
    padding: 2rem 0 2rem 0;
    color: var(--clr_white);
  }

  nav .link-subs {
    padding: 0;
    position: absolute;
    width: 16rem;
    top: 44px;
    left: -1rem;
    ;
  }

  nav li.has-subs a {
    margin: 1rem;
  }
}

@media screen and (min-width: 1300px) {

  header {
    grid-template-columns: 0.5fr auto minmax(600px, 3fr) 0.5fr;
  }
}

/**************************  END NAV  **************************/



/**************************  START MAIN  **************************/

.container {
  width: 100%;
  margin-top: 10rem;
  margin-left: auto;
  margin-right: auto;
  /*border: 5px solid grey;*/
}

 /* xs */
 @media (min-width: 475px) {
  .container {
    max-width: 475px;
  }
}

/* sm */
@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}

/* md */
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}

/* lg */
@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
  }
}

/* xl */
@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
  }
}

/* 2xl */
@media (min-width: 1536px) {
  .container {
    max-width: 1536px;
  }
}

main {
  display: flex;
  align-items: center;
  justify-content: center;
}

.container_contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 75vh;
  width: 100vw;
  margin: 0;
}

.titre {
  text-align: center;
  font-size: 4rem;
  font-family: impatiente;
}

.mail {
  font-size: 1.75rem;
  padding: 0 1rem;
}


.icon-facebook-main {
  background-color: var(--bg_black);
  border-radius: 50%;
  margin: 1rem 1rem;
  height: 70px;
}

.icon-facebook-main:hover, .icon-facebook-main:active {
  background-color: var(--clr_light_blue);
}

.icon-instagram-main {
  background-color: var(--bg_black);
  border-radius: 50%;
  margin: 1rem 1rem;
  height: 70px;
}

.icon-instagram-main:hover, .icon-instagram-main:active {
  background-color: var(--clr_light_blue);
}




/**************************  END MAIN  **************************/

/**************************  START FOOTER  **************************/


footer {
  position: sticky;
  top: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  grid-template-areas:
    "copyright";
  padding: 1rem 0;
  background: var(--bg_black);
}

.empty {
  display: none;
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: copyright;
  margin: 1rem auto;
  max-width: 300px;
  text-align: center;
  font-size: 10px;
}

.icons_container {
  display: none;
  justify-content: center;
  align-items: center;
  grid-area: icons;
}

.link_facebook {
  width: auto;
  height: 50px;
}

.link_instagram {
  width: auto;
  height: 50px;
}

.icon-facebook {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-right: 7vw;
  width: auto;
  height: 50px;
}

.icon-facebook:hover, .icon-facebook:active {
  background-color: var(--clr_light_blue);
}

.icon-instagram {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-left: 7vw;
  width: auto;
  height: 50px;
}

.icon-instagram:hover, .icon-instagram:active {
  background-color: var(--clr_light_blue);
}



@media screen and (min-width: 500px) {

  footer {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "copyright";
    padding: 2rem 0;
    background: var(--bg_black);
  }

  .copyright {
    margin: 0px auto;
  }

  .icon-facebook {
    margin-right: 1vw;
    height: 60px;
  }

  .icon-instagram {
    margin-left: 1vw;
    height: 60px;
  }

}



@media screen and (min-width: 800px) {

  footer {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "copyright";
    background: var(--bg_black);
  }

  .empty {
    grid-area: empty;
  }

  .copyright {
    grid-area: copyright;
  }

  .icons_container {
    grid-area: icons;
  }

}

@media screen and (min-width: 2000px) {

  .copyright {
    margin: 1rem auto;
    max-width: 800px;
    font-size: 1.5rem;
  }

  .icons_container {
    position: relative;
    height: 100px;
  }

  .icon-facebook {
    position: absolute;
    left: 50px;
    top: 18px;
    height: 100px;
  }

  .icon-instagram {
    position: absolute;
    left: 250px;
    top: 18px;
    height: 100px;
  }

}

/**************************  END FOOTER  **************************/
